package department_request

import (
	"encoding/json"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/model/common"
)

type DepartmentEditRequest struct {
	DepartmentRequest *common.DepartmentRequest `json:"departmentRequest"`
	// <ext>core:true</ext> 【修改后第三方业务系统组织id】修改后第三方业务系统组织id
	BizId string `json:"bizId,omitempty"`
	// <ext>core:true</ext> 【新组织名称】新组织名称
	OrgName string `json:"orgName,omitempty"`
	// <ext>core:true</ext> 【新组织编码】新组织编码
	OrgCode            string                    `json:"orgCode,omitempty"`
	UserInfoRequest    *common.UserInfoRequest   `json:"userInfoRequest,omitempty"`
	SuperiorDepartment *common.DepartmentRequest `json:"superiorDepartment,omitempty"`
	// <ext>core:true</ext> 【组织自定义字段】组织自定义字段 【传参】 历史保存和新传入的取并集处理，若传入的自定义字段已存在值，则会优先使用新传入的值
	DepartmentCustomField []*common.DepartmentCustomField `json:"departmentCustomField,omitempty"`
}

func (obj DepartmentEditRequest) GetUrl() string {
	return "/department/edit"
}

func (obj DepartmentEditRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewPostHttpParameter()
	jsonBytes, _ := json.Marshal(obj)
	parameter.SetJsonParamer(string(jsonBytes))
	return parameter
}
